-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: db
-- Generation Time: Feb 08, 2019 at 01:02 PM
-- Server version: 5.6.41
-- PHP Version: 7.2.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `tobin_eventTimeOut`
--

-- --------------------------------------------------------

--
-- Table structure for table `booking`
--

CREATE TABLE `booking` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `schedules_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL COMMENT 'Guest -  0',
  `bookId` varchar(45) DEFAULT NULL,
  `qrcode` varchar(100) DEFAULT NULL,
  `no_of_ticket` int(11) DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `phone` varchar(25) DEFAULT NULL,
  `reserved_by` int(11) DEFAULT '3' COMMENT '1 - SuperAdmin\n2 - Provider\n3 - Customer',
  `status` int(11) DEFAULT '1' COMMENT '0 - Cancelled, 1 - Booked, 2 - Completed'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `customer`
--

CREATE TABLE `customer` (
  `id` int(11) NOT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `phone` varchar(25) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `reset_key` varchar(255) DEFAULT NULL,
  `social_id` varchar(250) DEFAULT NULL,
  `profile_image` varchar(250) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer`
--

INSERT INTO `customer` (`id`, `customer_id`, `name`, `phone`, `email`, `reset_key`, `social_id`, `profile_image`) VALUES
(1, 3, 'Customer User', '9995559194', 'customer@gmail.com', NULL, NULL, 'assets/uploads/services/1546851554_1523012036_hj.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `event`
--

CREATE TABLE `event` (
  `id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `eventId` varchar(20) DEFAULT NULL,
  `venue_id` int(11) NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `features` longtext,
  `addons` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive',
  `provider_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `event_gallery`
--

CREATE TABLE `event_gallery` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `media` varchar(100) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `event_tags`
--

CREATE TABLE `event_tags` (
  `id` int(11) NOT NULL,
  `event_id` int(11) DEFAULT NULL,
  `tag_id` int(11) DEFAULT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '0 => Inactive 1 => Active 2 => Deleted'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `event_venue`
--

CREATE TABLE `event_venue` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `venue_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `price` double DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `host_categories`
--

CREATE TABLE `host_categories` (
  `host_cat_id` int(11) NOT NULL,
  `host_category` varchar(150) DEFAULT NULL,
  `show_layout` tinyint(3) DEFAULT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '0 => Inactive 1 => Active 2 => Deleted'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `host_categories`
--

INSERT INTO `host_categories` (`host_cat_id`, `host_category`, `show_layout`, `status`) VALUES
(1, 'Stadium', 1, 0),
(2, 'Restaurant', 0, 1),
(3, 'Movie Theater', 1, 1),
(4, 'Auditorium', 1, 1),
(5, 'sdfg', 1, 2),
(6, 'fghcf', 1, 2),
(7, 'fghcf', 1, 2);

-- --------------------------------------------------------

--
-- Table structure for table `provider`
--

CREATE TABLE `provider` (
  `id` int(11) NOT NULL,
  `provider_id` int(11) DEFAULT NULL,
  `name` varchar(55) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `phone` varchar(25) DEFAULT NULL,
  `profile_image` varchar(250) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `provider`
--

INSERT INTO `provider` (`id`, `provider_id`, `name`, `email`, `phone`, `profile_image`) VALUES
(3, 2, 'Provider User', 'provider@gmail.com', '9995559194', 'assets/uploads/services/1546851554_1523012036_hj.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `region`
--

CREATE TABLE `region` (
  `id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive, 2 - Deleted'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `region`
--

INSERT INTO `region` (`id`, `name`, `status`) VALUES
(1, 'Kochi', 1),
(2, 'Kottayam', 1),
(3, 'Thrissur', 1),
(4, 'Bengaluru', 1),
(5, 'ddrfgt', 2);

-- --------------------------------------------------------

--
-- Table structure for table `reservation`
--

CREATE TABLE `reservation` (
  `id` int(11) NOT NULL,
  `restaurant_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `time` varchar(45) DEFAULT NULL,
  `seats` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `restaurant`
--

CREATE TABLE `restaurant` (
  `id` int(11) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `location` varchar(100) DEFAULT NULL,
  `lat` varchar(45) DEFAULT NULL,
  `lng` varchar(45) DEFAULT NULL,
  `image` varchar(100) DEFAULT NULL,
  `no_seats` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `review`
--

CREATE TABLE `review` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `rate` int(11) DEFAULT NULL COMMENT '1 - 5',
  `feedback` longtext
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `schedules`
--

CREATE TABLE `schedules` (
  `id` int(11) NOT NULL,
  `event_id` int(11) NOT NULL,
  `date` date DEFAULT NULL,
  `time` varchar(45) DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE `setting` (
  `id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `title_short` varchar(250) NOT NULL,
  `site_logo` varchar(150) NOT NULL,
  `fav_icon` varchar(150) NOT NULL,
  `country_flag` varchar(10) NOT NULL DEFAULT 'US',
  `currency` varchar(10) NOT NULL,
  `smtp_host` varchar(150) NOT NULL,
  `smtp_username` varchar(150) NOT NULL,
  `smtp_password` varchar(150) NOT NULL,
  `google_api_key` varchar(500) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `setting`
--

INSERT INTO `setting` (`id`, `title`, `title_short`, `site_logo`, `fav_icon`, `country_flag`, `currency`, `smtp_host`, `smtp_username`, `smtp_password`, `google_api_key`) VALUES
(1, 'Event - Time Out', 'TimeOut', 'assets/uploads/services/1549257477_Twitch_KingpinSkin_old2_HD.jpg', 'assets/uploads/services/1549257477_sniper.jpg', 'IN', 'USD', 'info@techlabz.in', 'AIzaSyC9JX3BZZfx2S6GQieC_PqjuJdUbZ7_wyM1', 'Golden_1234', 'AIzaSyCcc-YDSJyDpehNE6qfntfWpEQ4uS4aq6A');

-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

CREATE TABLE `tags` (
  `tag_id` int(11) NOT NULL,
  `tag_name` varchar(150) DEFAULT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '1 - Active, 0 - Inactive, 2 - Deleted'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tags`
--

INSERT INTO `tags` (`tag_id`, `tag_name`, `status`) VALUES
(1, 'hggtss', 2),
(2, 'r5ydrt5y', 1),
(3, 'drtyudrtu', 1),
(4, 'ftydrt', 1),
(5, 'fdtydr', 1),
(6, 'fgytudt', 1);

-- --------------------------------------------------------

--
-- Table structure for table `transaction`
--

CREATE TABLE `transaction` (
  `id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `booking_id` int(11) NOT NULL,
  `datetime` datetime DEFAULT NULL,
  `transaction_id` varchar(45) DEFAULT NULL,
  `amount` double DEFAULT NULL,
  `status` int(11) DEFAULT '1' COMMENT '1 - Completed, 0 - Failed'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `username` varchar(50) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `display_name` varchar(100) DEFAULT NULL,
  `profile_image` varchar(250) DEFAULT NULL,
  `user_type` tinyint(3) DEFAULT '3' COMMENT '1 - SuperAdmin 2 - Provider 3 - Customer ',
  `status` int(11) DEFAULT '1' COMMENT '0- Inactive 1-Active'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `display_name`, `profile_image`, `user_type`, `status`) VALUES
(1, 'admin', '202cb962ac59075b964b07152d234b70', 'Super Admin', 'assets/uploads/services/1549281365_car_ac.jpg', 1, 1),
(2, 'provider', '202cb962ac59075b964b07152d234b70', 'Provide', 'assets/uploads/services/1549342442_Audi-r8.jpg', 2, 1),
(3, 'customer', '202cb962ac59075b964b07152d234b70', 'Customer', NULL, 3, 1);

-- --------------------------------------------------------

--
-- Table structure for table `venue`
--

CREATE TABLE `venue` (
  `id` int(11) NOT NULL,
  `venue_name` varchar(100) DEFAULT NULL,
  `venue_details` longtext,
  `region_id` int(11) DEFAULT NULL,
  `host_cat_id` int(11) DEFAULT NULL,
  `location` varchar(100) DEFAULT NULL,
  `location_lat` varchar(45) DEFAULT NULL,
  `location_lng` varchar(45) DEFAULT NULL,
  `layout` varchar(100) DEFAULT NULL COMMENT 'Layout Image',
  `layout_details` longtext COMMENT 'Layout Details (JSON data)',
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `venue`
--

INSERT INTO `venue` (`id`, `venue_name`, `venue_details`, `region_id`, `host_cat_id`, `location`, `location_lat`, `location_lng`, `layout`, `layout_details`, `status`) VALUES
(2, 'sdfcsd', 'cdgdhd', 4, 2, 'D-Wing, Western Express Highway, Miragaon, Mira Road East, Mira Bhayandar, Maharashtra, India', '19.285021', '72.880876', '', '', 1),
(3, 'sdfcsd', 'sdfgsderfg serfgser awerfa af aedfaswedrf asdfaedrf sdfgsderfg serfgser awerfa af aedfaswedrf asdfaedrf sdfgsderfg serfgser awerfa af aedfaswedrf asdfaedrf ', 4, 3, 'DF Block, Sector 1, Salt Lake City, Kolkata, West Bengal, India', '22.5908767', '88.4170614', 'assets/uploads/services/1549456988_media-froala-description-0-2018-9-5-t-14-14-32.jpeg', '[{\"color\":\"Red\",\"price\":\"150\"},{\"color\":\"Blue\",\"price\":\"500\"},{\"color\":\"Blue R\",\"price\":\"450\"},{\"color\":\"Yellow\",\"price\":\"650\"},{\"color\":\"Yellow Y\",\"price\":\"800\"}]', 1);

-- --------------------------------------------------------

--
-- Table structure for table `venue_class`
--

CREATE TABLE `venue_class` (
  `id` int(11) NOT NULL,
  `venue_id` int(11) NOT NULL,
  `event_id` int(11) DEFAULT NULL,
  `custom_layout_details` longtext,
  `status` int(11) DEFAULT '1' COMMENT '1 - Active, 0 - Inactive, 2 - Deleted'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `booking`
--
ALTER TABLE `booking`
  ADD PRIMARY KEY (`id`,`event_id`,`schedules_id`,`customer_id`),
  ADD KEY `fk_booking_event1_idx` (`event_id`),
  ADD KEY `fk_booking_schedules1_idx` (`schedules_id`),
  ADD KEY `fk_booking_customer1_idx` (`customer_id`);

--
-- Indexes for table `customer`
--
ALTER TABLE `customer`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `event`
--
ALTER TABLE `event`
  ADD PRIMARY KEY (`id`,`venue_id`,`provider_id`),
  ADD KEY `fk_event_venue_idx` (`venue_id`),
  ADD KEY `fk_event_provider1_idx` (`provider_id`);

--
-- Indexes for table `event_gallery`
--
ALTER TABLE `event_gallery`
  ADD PRIMARY KEY (`id`,`event_id`),
  ADD KEY `fk_event_gallery_event1_idx` (`event_id`);

--
-- Indexes for table `event_venue`
--
ALTER TABLE `event_venue`
  ADD PRIMARY KEY (`id`,`event_id`,`venue_id`,`class_id`),
  ADD KEY `fk_event_venue_event1_idx` (`event_id`,`venue_id`),
  ADD KEY `fk_event_venue_venue_class1_idx` (`class_id`);

--
-- Indexes for table `host_categories`
--
ALTER TABLE `host_categories`
  ADD PRIMARY KEY (`host_cat_id`);

--
-- Indexes for table `provider`
--
ALTER TABLE `provider`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `region`
--
ALTER TABLE `region`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `reservation`
--
ALTER TABLE `reservation`
  ADD PRIMARY KEY (`id`,`restaurant_id`,`customer_id`),
  ADD KEY `fk_reservation_restaurant1_idx` (`restaurant_id`),
  ADD KEY `fk_reservation_customer1_idx` (`customer_id`);

--
-- Indexes for table `restaurant`
--
ALTER TABLE `restaurant`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `review`
--
ALTER TABLE `review`
  ADD PRIMARY KEY (`id`,`event_id`,`customer_id`),
  ADD KEY `fk_review_event1_idx` (`event_id`),
  ADD KEY `fk_review_customer1_idx` (`customer_id`);

--
-- Indexes for table `schedules`
--
ALTER TABLE `schedules`
  ADD PRIMARY KEY (`id`,`event_id`),
  ADD KEY `fk_schedules_event1_idx` (`event_id`);

--
-- Indexes for table `setting`
--
ALTER TABLE `setting`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tags`
--
ALTER TABLE `tags`
  ADD PRIMARY KEY (`tag_id`);

--
-- Indexes for table `transaction`
--
ALTER TABLE `transaction`
  ADD PRIMARY KEY (`id`,`customer_id`,`booking_id`),
  ADD KEY `fk_transaction_customer1_idx` (`customer_id`),
  ADD KEY `fk_transaction_booking1_idx` (`booking_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `venue`
--
ALTER TABLE `venue`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `venue_class`
--
ALTER TABLE `venue_class`
  ADD PRIMARY KEY (`id`,`venue_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `booking`
--
ALTER TABLE `booking`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `customer`
--
ALTER TABLE `customer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `event`
--
ALTER TABLE `event`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `event_gallery`
--
ALTER TABLE `event_gallery`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `event_venue`
--
ALTER TABLE `event_venue`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `host_categories`
--
ALTER TABLE `host_categories`
  MODIFY `host_cat_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `provider`
--
ALTER TABLE `provider`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `region`
--
ALTER TABLE `region`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `reservation`
--
ALTER TABLE `reservation`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `restaurant`
--
ALTER TABLE `restaurant`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `review`
--
ALTER TABLE `review`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `schedules`
--
ALTER TABLE `schedules`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tags`
--
ALTER TABLE `tags`
  MODIFY `tag_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `transaction`
--
ALTER TABLE `transaction`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `venue`
--
ALTER TABLE `venue`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `venue_class`
--
ALTER TABLE `venue_class`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `booking`
--
ALTER TABLE `booking`
  ADD CONSTRAINT `fk_booking_customer1` FOREIGN KEY (`customer_id`) REFERENCES `customer` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_booking_event1` FOREIGN KEY (`event_id`) REFERENCES `event` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_booking_schedules1` FOREIGN KEY (`schedules_id`) REFERENCES `schedules` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `event`
--
ALTER TABLE `event`
  ADD CONSTRAINT `fk_event_provider1` FOREIGN KEY (`provider_id`) REFERENCES `provider` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_event_venue` FOREIGN KEY (`venue_id`) REFERENCES `venue` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `event_gallery`
--
ALTER TABLE `event_gallery`
  ADD CONSTRAINT `fk_event_gallery_event1` FOREIGN KEY (`event_id`) REFERENCES `event` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `event_venue`
--
ALTER TABLE `event_venue`
  ADD CONSTRAINT `fk_event_venue_event1` FOREIGN KEY (`event_id`,`venue_id`) REFERENCES `event` (`id`, `venue_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_event_venue_venue_class1` FOREIGN KEY (`class_id`) REFERENCES `venue_class` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `reservation`
--
ALTER TABLE `reservation`
  ADD CONSTRAINT `fk_reservation_customer1` FOREIGN KEY (`customer_id`) REFERENCES `customer` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_reservation_restaurant1` FOREIGN KEY (`restaurant_id`) REFERENCES `restaurant` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `review`
--
ALTER TABLE `review`
  ADD CONSTRAINT `fk_review_customer1` FOREIGN KEY (`customer_id`) REFERENCES `customer` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_review_event1` FOREIGN KEY (`event_id`) REFERENCES `event` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `schedules`
--
ALTER TABLE `schedules`
  ADD CONSTRAINT `fk_schedules_event1` FOREIGN KEY (`event_id`) REFERENCES `event` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `transaction`
--
ALTER TABLE `transaction`
  ADD CONSTRAINT `fk_transaction_booking1` FOREIGN KEY (`booking_id`) REFERENCES `booking` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_transaction_customer1` FOREIGN KEY (`customer_id`) REFERENCES `customer` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
